'use strict';
define([
  'angular',
  'biz/yamoussoukro/modules/form/formfieldgroup/controllers/FormFieldGroupCtrl',
  'biz/yamoussoukro/modules/form/formfieldgroup/directives/FormFieldGroupDirective',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, FormFieldGroupCtrl, FormFieldGroupDirective) {
  // generation du module
  var ff = angular.module('gc_formfieldgroup', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
    'model',
  ]);
  // ajout service

  // ajout controller
  ff.controller('FormFieldGroupCtrl', FormFieldGroupCtrl);
  // ajout directive
  ff.directive('formfieldgroupdirective', FormFieldGroupDirective);
  // ajout factory

  //route provider

  return ff;
});
